# Abbildungen 18 (Mafobuch, Interviewerbeziehung)
library(ggrepel); setwd("C:/Users/Alpha/Desktop/R")
pdf(file="pdf/Abb24.pdf",width=11.7/2.54, height=11.7/2.54)
par(mai=c(0,0,0,0))
a=arrow(angle=15,length=unit(0.05,"inches"),ends="last",type="closed")
ggplot() +
  geom_segment(aes(x=0,y=0,xend=5,yend=0),linetype="solid",size=0.25)+
  geom_segment(aes(x=5,y=0,xend=5,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=0,xend=0,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=4,xend=5,yend=4),linetype="solid",size=0.25)+
  annotate("text",x=2.5,y=3.0,parse=TRUE,label="italic(III.~Verhalten)",size=3) +
  annotate("text",x=2.5,y=2.25,parse=FALSE,label="Frageformulierung,",size=3) +
  annotate("text",x=2.5,y=1.75,parse=FALSE,label="Nachforschungen,",size=3) +
  annotate("text",x=2.5,y=1.25,parse=FALSE,label="Motivieren,",size=3) +
  annotate("text",x=2.5,y=0.75,parse=FALSE,label="Aufzeichnen",size=3) +

  geom_segment(aes(x=0,y=5,xend=5,yend=5),linetype="solid",size=0.25)+
  geom_segment(aes(x=5,y=5,xend=5,yend=9),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=5,xend=0,yend=9),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=9,xend=5,yend=9),linetype="solid",size=0.25)+
  annotate("text",x=2.5,y=8.0,parse=TRUE,label="italic(II.~Psychologische~Faktoren)",size=3) +
  annotate("text",x=2.5,y=7.25,parse=FALSE,label="Wahrnehmung,",size=3) +
  annotate("text",x=2.5,y=6.75,parse=FALSE,label="Einstellung,",size=3) +
  annotate("text",x=2.5,y=6.25,parse=FALSE,label="Motivation",size=3) +
  annotate("text",x=2.5,y=5.75,parse=FALSE,label="",size=3) +
  geom_segment(aes(x=2.5,y=5,xend=2.5,yend=4),linetype="solid",size=0.25,arrow=a)+
  geom_segment(aes(x=6,y=2,xend=5,yend=7),linetype="solid",size=0.25,arrow=a)+
  
  geom_segment(aes(x=0,y=10,xend=5,yend=10),linetype="solid",size=0.25)+
  geom_segment(aes(x=5,y=10,xend=5,yend=14),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=10,xend=0,yend=14),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=14,xend=5,yend=14),linetype="solid",size=0.25)+
  annotate("text",x=2.5,y=13.0,parse=TRUE,label="italic(I.~Hintergrundmerkmale)",size=3) +
  annotate("text",x=2.5,y=12.25,parse=FALSE,label="Alter, Geschlecht,",size=3) +
  annotate("text",x=2.5,y=11.75,parse=FALSE,label="Ausbildung, Status,",size=3) +
  annotate("text",x=2.5,y=11.25,parse=FALSE,label="Religion",size=3) +
  annotate("text",x=2.5,y=10.75,parse=FALSE,label="usw.",size=3) +
  geom_segment(aes(x=2.5,y=10,xend=2.5,yend=9),linetype="solid",size=0.25,arrow=a)+
  geom_segment(aes(x=6,y=7,xend=5,yend=12),linetype="solid",size=0.25,arrow=a)+

  geom_segment(aes(x=6,y=0,xend=11,yend=0),linetype="solid",size=0.25)+
  geom_segment(aes(x=11,y=0,xend=11,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=0,xend=6,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=4,xend=11,yend=4),linetype="solid",size=0.25)+
  annotate("text",x=8.5,y=3.0,parse=TRUE,label="italic(VI.~Verhalten)",size=3) +
  annotate("text",x=8.5,y=2.25,parse=FALSE,label="Reaktionen auf",size=3) +
  annotate("text",x=8.5,y=1.75,parse=FALSE,label="Interviewer-",size=3) +
  annotate("text",x=8.5,y=1.25,parse=FALSE,label="verhalten",size=3) +
  annotate("text",x=8.5,y=0.75,parse=FALSE,label="(Antworten usw.)",size=3) +
  
  geom_segment(aes(x=6,y=5,xend=11,yend=5),linetype="solid",size=0.25)+
  geom_segment(aes(x=11,y=5,xend=11,yend=9),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=5,xend=6,yend=9),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=9,xend=11,yend=9),linetype="solid",size=0.25)+
  annotate("text",x=8.5,y=8.0,parse=TRUE,label="italic(V.~Psychologische~Faktoren)",size=3) +
  annotate("text",x=8.5,y=7.25,parse=FALSE,label="Wahrnehmung,",size=3) +
  annotate("text",x=8.5,y=6.75,parse=FALSE,label="Einstellung,",size=3) +
  annotate("text",x=8.5,y=6.25,parse=FALSE,label="Motivation",size=3) +
  annotate("text",x=8.5,y=5.75,parse=FALSE,label="",size=3) +
  geom_segment(aes(x=8.5,y=5,xend=8.5,yend=4),linetype="solid",size=0.25,arrow=a)+
  geom_segment(aes(x=5,y=2,xend=6,yend=7),linetype="solid",size=0.25,arrow=a)+
  
  geom_segment(aes(x=6,y=10,xend=11,yend=10),linetype="solid",size=0.25)+
  geom_segment(aes(x=11,y=10,xend=11,yend=14),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=10,xend=6,yend=14),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=14,xend=11,yend=14),linetype="solid",size=0.25)+
  annotate("text",x=8.5,y=13.0,parse=TRUE,label="italic(IV.~Hintergrundmerkmale)",size=3) +
  annotate("text",x=8.5,y=12.25,parse=FALSE,label="Alter, Geschlecht,",size=3) +
  annotate("text",x=8.5,y=11.75,parse=FALSE,label="Ausbildung, Status,",size=3) +
  annotate("text",x=8.5,y=11.25,parse=FALSE,label="Religion",size=3) +
  annotate("text",x=8.5,y=10.75,parse=FALSE,label="usw.",size=3) +
  geom_segment(aes(x=8.5,y=10,xend=8.5,yend=9),linetype="solid",size=0.25,arrow=a)+
  geom_segment(aes(x=5,y=7,xend=6,yend=12),linetype="solid",size=0.25,arrow=a)+
  
  theme(axis.line=element_blank(),axis.text.x=element_blank(),
        axis.text.y=element_blank(),axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),legend.position="none",
        panel.background=element_blank(),panel.border=element_blank(),panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),plot.background=element_blank())
dev.off() 